Index: boost/cast.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/cast.hpp,v
retrieving revision 1.27
diff -b -d -u -r1.27 cast.hpp
--- boost/cast.hpp	25 Aug 2005 16:27:20 -0000	1.27
+++ boost/cast.hpp	18 Feb 2006 22:54:44 -0000
@@ -44,7 +44,7 @@
 #define BOOST_CAST_HPP
 
 # include <boost/config.hpp>
-# include <cassert>
+# include <boost/assert.hpp>
 # include <typeinfo>
 # include <boost/type.hpp>
 # include <boost/limits.hpp>
@@ -82,17 +82,19 @@
 
 //  polymorphic_downcast  ----------------------------------------------------//
 
-    //  assert() checked polymorphic downcast.  Crosscasts prohibited.
+    //  BOOST_ASSERT() checked polymorphic downcast.  Crosscasts prohibited.
 
-    //  WARNING: Because this cast uses assert(), it violates the One Definition
-    //  Rule if NDEBUG is inconsistently defined across translation units.
+    //  WARNING: Because this cast uses BOOST_ASSERT(), it violates
+    //  the One Definition Rule if used in multiple translation units
+    //  where BOOST_DISABLE_ASSERTS, BOOST_ENABLE_ASSERT_HANDLER
+    //  NDEBUG are defined inconsistently.
 
     //  Contributed by Dave Abrahams
 
     template <class Target, class Source>
     inline Target polymorphic_downcast(Source* x BOOST_EXPLICIT_DEFAULT_TARGET)
     {
-        assert( dynamic_cast<Target>(x) == x );  // detect logic error
+        BOOST_ASSERT( dynamic_cast<Target>(x) == x );  // detect logic error
         return static_cast<Target>(x);
     }
 
Index: boost/mpl/aux_/test.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/mpl/aux_/test.hpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 test.hpp
--- boost/mpl/aux_/test.hpp	2 Sep 2004 15:40:44 -0000	1.3
+++ boost/mpl/aux_/test.hpp	18 Feb 2006 22:54:45 -0000
@@ -17,12 +17,13 @@
 #include <boost/mpl/aux_/test/test_case.hpp>
 #include <boost/mpl/aux_/test/data.hpp>
 #include <boost/mpl/aux_/test/assert.hpp>
+#include <boost/detail/lightweight_test.hpp>
 
 #include <boost/type_traits/is_same.hpp>
 
 int main()
 {
-    return 0;
+    return boost::report_errors();
 }
 
 using namespace boost;
Index: libs/conversion/test/implicit_cast.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/conversion/test/implicit_cast.cpp,v
retrieving revision 1.2
diff -b -d -u -r1.2 implicit_cast.cpp
--- libs/conversion/test/implicit_cast.cpp	26 Jul 2004 00:32:08 -0000	1.2
+++ libs/conversion/test/implicit_cast.cpp	18 Feb 2006 22:54:56 -0000
@@ -4,9 +4,8 @@
 // http://www.boost.org/LICENSE_1_0.txt)
 
 #include <boost/implicit_cast.hpp>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/type.hpp>
-
 using boost::implicit_cast;
 using boost::type;
 
@@ -25,9 +24,9 @@
 int main()
 {
     type<long> x = check_return(boost::implicit_cast<long>(1));
-    assert(boost::implicit_cast<long>(1) == 1L);
+    BOOST_TEST(boost::implicit_cast<long>(1) == 1L);
 
     type<foo> f = check_return(boost::implicit_cast<foo>("hello"));
     type<long> z = check_return(boost::implicit_cast<long>(foo("hello")));
-    return 0;
+    return boost::report_errors();
 }
Index: libs/function/test/function_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/function/test/function_test.cpp,v
retrieving revision 1.33
diff -b -d -u -r1.33 function_test.cpp
--- libs/function/test/function_test.cpp	10 May 2005 13:30:35 -0000	1.33
+++ libs/function/test/function_test.cpp	18 Feb 2006 22:54:56 -0000
@@ -10,7 +10,6 @@
 #include <boost/test/minimal.hpp>
 #include <boost/function.hpp>
 #include <functional>
-#include <cassert>
 #include <string>
 #include <utility>
 
@@ -653,12 +652,12 @@
 
 static void test_call_obj(boost::function<int (int, int)> f)
 {
-  assert(!f.empty());
+  BOOST_CHECK(!f.empty());
 }
 
 static void test_call_cref(const boost::function<int (int, int)>& f)
 {
-  assert(!f.empty());
+  BOOST_CHECK(!f.empty());
 }
 
 static void test_call()
Index: libs/functional/hash/test/link_ext_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/functional/hash/test/link_ext_test.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 link_ext_test.cpp
--- libs/functional/hash/test/link_ext_test.cpp	13 Feb 2006 18:26:00 -0000	1.1
+++ libs/functional/hash/test/link_ext_test.cpp	18 Feb 2006 22:54:56 -0000
@@ -6,12 +6,13 @@
 
 #define HASH_NAMESPACE boost
 #include <boost/functional/hash.hpp>
+#include <boost/detail/lightweight_test.hpp>
 #include <vector>
 
 int f(std::size_t hash1, int* x1) {
     // Check that HASH_NAMESPACE::hash<int*> works in both files.
     HASH_NAMESPACE::hash<int*> ptr_hasher;
-    assert(hash1 == ptr_hasher(x1));
+    BOOST_TEST(hash1 == ptr_hasher(x1));
 
     // Check that std::vector<std::size_t> is avaiable in this file.
     std::vector<std::size_t> x;
Index: libs/functional/hash/test/link_no_ext_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/functional/hash/test/link_no_ext_test.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 link_no_ext_test.cpp
--- libs/functional/hash/test/link_no_ext_test.cpp	13 Feb 2006 18:26:00 -0000	1.1
+++ libs/functional/hash/test/link_no_ext_test.cpp	18 Feb 2006 22:54:56 -0000
@@ -7,11 +7,13 @@
 #define HASH_NAMESPACE boost
 #define BOOST_HASH_NO_EXTENSIONS
 #include <boost/functional/hash.hpp>
+#include <boost/detail/lightweight_test.hpp>
 
 extern int f(std::size_t, int*);
 
 int main() {
     HASH_NAMESPACE::hash<int*> ptr_hasher;
     int x = 55;
-    return f(ptr_hasher(&x), &x);
+    BOOST_TEST(!f(ptr_hasher(&x), &x));
+    return boost::report_errors();
 }
Index: libs/graph/test/bidir_remove_edge.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/graph/test/bidir_remove_edge.cpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 bidir_remove_edge.cpp
--- libs/graph/test/bidir_remove_edge.cpp	20 Oct 2004 13:19:52 -0000	1.3
+++ libs/graph/test/bidir_remove_edge.cpp	18 Feb 2006 22:55:00 -0000
@@ -6,7 +6,7 @@
 #include <iostream>
 #include <boost/graph/adjacency_list.hpp>
 #include <boost/cstdlib.hpp>
-#include <boost/test/test_tools.hpp>
+#include <boost/detail/lightweight_test.hpp>
 
 struct edge_prop {
   int weight;
@@ -25,10 +25,10 @@
     edge_prop p = { 42 };
     edge e; bool b;
     tie(e, b) = add_edge(0, 1, p, g);
-    assert( num_edges(g) == 1 );
-    assert( g[e].weight == 42 );
+    BOOST_TEST( num_edges(g) == 1 );
+    BOOST_TEST( g[e].weight == 42 );
     remove_edge(e, g);
-    assert( num_edges(g) == 0 );
+    BOOST_TEST( num_edges(g) == 0 );
   }
   {
     typedef boost::adjacency_list<boost::vecS, boost::vecS, boost::bidirectionalS> graph;
@@ -38,9 +38,9 @@
 
     edge e; bool b;
     tie(e, b) = add_edge(0, 1, g);
-    assert( num_edges(g) == 1 );
+    BOOST_TEST( num_edges(g) == 1 );
     remove_edge(e, g);
-    assert( num_edges(g) == 0 );
+    BOOST_TEST( num_edges(g) == 0 );
   }
-  return boost::exit_success;
+  return boost::report_errors();
 }
Index: libs/graph/test/isomorphism.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/graph/test/isomorphism.cpp,v
retrieving revision 1.19
diff -b -d -u -r1.19 isomorphism.cpp
--- libs/graph/test/isomorphism.cpp	3 Feb 2005 12:22:38 -0000	1.19
+++ libs/graph/test/isomorphism.cpp	18 Feb 2006 22:55:00 -0000
@@ -49,8 +49,8 @@
 void randomly_permute_graph(const Graph1& g1, Graph2& g2)
 {
   // Need a clean graph to start with
-  assert(num_vertices(g2) == 0);
-  assert(num_edges(g2) == 0);
+  BOOST_REQUIRE(num_vertices(g2) == 0);
+  BOOST_REQUIRE(num_edges(g2) == 0);
 
   typedef typename graph_traits<Graph1>::vertex_descriptor vertex1;
   typedef typename graph_traits<Graph2>::vertex_descriptor vertex2;
Index: libs/iterator/test/counting_iterator_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/iterator/test/counting_iterator_test.cpp,v
retrieving revision 1.6
diff -b -d -u -r1.6 counting_iterator_test.cpp
--- libs/iterator/test/counting_iterator_test.cpp	31 Jan 2006 13:30:01 -0000	1.6
+++ libs/iterator/test/counting_iterator_test.cpp	18 Feb 2006 22:55:00 -0000
@@ -45,7 +45,7 @@
 #endif 
 #include <vector>
 #include <list>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #ifndef BOOST_NO_SLIST
 # ifdef BOOST_SLIST_HEADER
 #   include BOOST_SLIST_HEADER
@@ -59,7 +59,7 @@
 template <class T>
 struct signed_assert_nonnegative
 {
-    static void test(T x) { assert(x >= 0); }
+    static void test(T x) { BOOST_TEST(x >= 0); }
 };
 
 template <class T>
@@ -96,7 +96,7 @@
     difference_type offset = (unsigned)rand() % distance;
     
 #ifdef BOOST_NO_LIMITS_COMPILE_TIME_CONSTANTS
-    assert(offset >= 0);
+    BOOST_TEST(offset >= 0);
 #else 
     assert_nonnegative<difference_type>::test(offset);
 #endif
@@ -105,17 +105,17 @@
     std::advance(internal, offset);
 
     // Try some binary searches on the range to show that it's ordered
-    assert(std::binary_search(start, finish, *internal));
+    BOOST_TEST(std::binary_search(start, finish, *internal));
 
     // #including tuple crashed borland, so I had to give up on tie().
     std::pair<CountingIterator,CountingIterator> xy(
         std::equal_range(start, finish, *internal));
     CountingIterator x = xy.first, y = xy.second;
     
-    assert(boost::detail::distance(x, y) == 1);
+    BOOST_TEST(boost::detail::distance(x, y) == 1);
 
     // Show that values outside the range can't be found
-    assert(!std::binary_search(start, boost::prior(finish), *finish));
+    BOOST_TEST(!std::binary_search(start, boost::prior(finish), *finish));
 
     // Do the generic random_access_iterator_test
     typedef typename CountingIterator::value_type value_type;
@@ -163,7 +163,7 @@
              ; p != finish && boost::next(p) != finish
              ; ++p)
     {
-        assert(boost::next(*p) == *boost::next(p));
+        BOOST_TEST(boost::next(*p) == *boost::next(p));
     }
 
     // prove that a reference can be formed to these values
@@ -296,5 +296,5 @@
     int array[2000];
     test(boost::make_counting_iterator(array), boost::make_counting_iterator(array+2000-1));
 
-    return 0;
+    return boost::report_errors();
 }
Index: libs/iterator/test/indirect_iterator_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/iterator/test/indirect_iterator_test.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 indirect_iterator_test.cpp
--- libs/iterator/test/indirect_iterator_test.cpp	2 Sep 2004 15:41:28 -0000	1.8
+++ libs/iterator/test/indirect_iterator_test.cpp	18 Feb 2006 22:55:00 -0000
@@ -28,6 +28,9 @@
 #include <boost/mpl/has_xxx.hpp>
 
 #include <boost/type_traits/broken_compiler_spec.hpp>
+
+#include <boost/detail/lightweight_test.hpp>
+
 #include <vector>
 #include <stdlib.h>
 #include <set>
@@ -85,32 +88,32 @@
 
     indirect_ra_container::iterator db(ptr_ra_container.begin());
     indirect_ra_container::iterator de(ptr_ra_container.end());
-    assert(static_cast<std::size_t>(de - db) == store.size());
-    assert(db + store.size() == de);
+    BOOST_TEST(static_cast<std::size_t>(de - db) == store.size());
+    BOOST_TEST(db + store.size() == de);
     indirect_ra_container::const_iterator dci = db;
     
-    assert(dci == db);
+    BOOST_TEST(dci == db);
     
 #ifndef NO_MUTABLE_CONST_RA_ITERATOR_INTEROPERABILITY
-    assert(db == dci);
+    BOOST_TEST(db == dci);
 #endif
     
-    assert(dci != de);
-    assert(dci < de);
-    assert(dci <= de);
+    BOOST_TEST(dci != de);
+    BOOST_TEST(dci < de);
+    BOOST_TEST(dci <= de);
     
 #ifndef NO_MUTABLE_CONST_RA_ITERATOR_INTEROPERABILITY
-    assert(de >= dci);
-    assert(de > dci);
+    BOOST_TEST(de >= dci);
+    BOOST_TEST(de > dci);
 #endif
     
     dci = de;
-    assert(dci == de);
+    BOOST_TEST(dci == de);
 
     boost::random_access_iterator_test(db + 1, store.size() - 1, boost::next(store.begin()));
     
     *db = 999;
-    assert(store.front() == 999);
+    BOOST_TEST(store.front() == 999);
 
     // Borland C++ is getting very confused about the typedefs here
     typedef boost::indirect_iterator<iterator_set::iterator> indirect_set_iterator;
@@ -122,22 +125,22 @@
     indirect_set_iterator sb(iter_set.begin());
     indirect_set_iterator se(iter_set.end());
     const_indirect_set_iterator sci(iter_set.begin());
-    assert(sci == sb);
+    BOOST_TEST(sci == sb);
     
 # ifndef NO_MUTABLE_CONST_STD_SET_ITERATOR_INTEROPERABILITY
-    assert(se != sci);
+    BOOST_TEST(se != sci);
 # endif
     
-    assert(sci != se);
+    BOOST_TEST(sci != se);
     sci = se;
-    assert(sci == se);
+    BOOST_TEST(sci == se);
     
     *boost::prior(se) = 888;
-    assert(store.back() == 888);
-    assert(std::equal(sb, se, store.begin()));
+    BOOST_TEST(store.back() == 888);
+    BOOST_TEST(std::equal(sb, se, store.begin()));
 
     boost::bidirectional_iterator_test(boost::next(sb), store[1], store[2]);
-    assert(std::equal(db, de, store.begin()));
+    BOOST_TEST(std::equal(db, de, store.begin()));
 }
 
 // element_type detector; defaults to true so the test passes when
@@ -214,6 +217,5 @@
 
       more_indirect_iterator_tests();
   }
-  std::cout << "test successful " << std::endl;
-  return 0;
+  return boost::report_errors();
 }
Index: libs/iterator/test/interoperable.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/iterator/test/interoperable.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 interoperable.cpp
--- libs/iterator/test/interoperable.cpp	15 Jan 2004 17:08:03 -0000	1.1
+++ libs/iterator/test/interoperable.cpp	18 Feb 2006 22:55:00 -0000
@@ -4,6 +4,7 @@
 
 #include <boost/iterator/iterator_adaptor.hpp>
 #include <boost/pending/iterator_tests.hpp>
+#include <boost/detail/lightweight_test.hpp>
 #include <cassert>
 
 struct mutable_it : boost::iterator_adaptor<mutable_it,int*>
@@ -39,21 +40,21 @@
     
     mutable_it i(data);
     constant_it j(data + 1);
-    assert(i < j);
-    assert(j > i);
-    assert(i <= j);
-    assert(j >= i);
-    assert(j - i == 1);
-    assert(i - j == -1);
+    BOOST_TEST(i < j);
+    BOOST_TEST(j > i);
+    BOOST_TEST(i <= j);
+    BOOST_TEST(j >= i);
+    BOOST_TEST(j - i == 1);
+    BOOST_TEST(i - j == -1);
     
     constant_it k = i;
 
-    assert(!(i < k));
-    assert(!(k > i));
-    assert(i <= k);
-    assert(k >= i);
-    assert(k - i == 0);
-    assert(i - k == 0);
+    BOOST_TEST(!(i < k));
+    BOOST_TEST(!(k > i));
+    BOOST_TEST(i <= k);
+    BOOST_TEST(k >= i);
+    BOOST_TEST(k - i == 0);
+    BOOST_TEST(i - k == 0);
     
-    return 0;
+    return boost::report_errors();
 }
Index: libs/iterator/test/iterator_adaptor_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/iterator/test/iterator_adaptor_test.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 iterator_adaptor_test.cpp
--- libs/iterator/test/iterator_adaptor_test.cpp	23 Jan 2005 15:40:14 -0000	1.8
+++ libs/iterator/test/iterator_adaptor_test.cpp	18 Feb 2006 22:55:00 -0000
@@ -21,6 +21,8 @@
 
 # include <boost/type_traits/broken_compiler_spec.hpp>
 
+# include <boost/detail/lightweight_test.hpp>
+
 #include <stdlib.h>
 #include <vector>
 #include <deque>
@@ -303,7 +305,7 @@
     adaptor_type i(forward_iter);
     int zero = 0;
     if (zero) // don't do this, just make sure it compiles
-      assert((*i).m_x == i->foo());      
+      BOOST_TEST((*i).m_x == i->foo());      
   }
   
   // check operator-> with an input iterator
@@ -313,7 +315,7 @@
     adaptor_type i(input_iter);
     int zero = 0;
     if (zero) // don't do this, just make sure it compiles
-      assert((*i).m_x == i->foo());      
+      BOOST_TEST((*i).m_x == i->foo());      
   }
 
   // check that base_type is correct
@@ -331,5 +333,5 @@
 
   std::cout << "test successful " << std::endl;
   (void)test;
-  return 0;
+  return boost::report_errors();
 }
Index: libs/iterator/test/iterator_traits_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/iterator/test/iterator_traits_test.cpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 iterator_traits_test.cpp
--- libs/iterator/test/iterator_traits_test.cpp	7 Sep 2005 16:03:55 -0000	1.3
+++ libs/iterator/test/iterator_traits_test.cpp	18 Feb 2006 22:55:01 -0000
@@ -27,7 +27,7 @@
 #include <iterator>
 #include <vector>
 #include <list>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 
 // A UDT for which we can specialize std::iterator_traits<element*> on
@@ -204,15 +204,15 @@
     for (int length = 3; length < 100; length += length / 3)
     {
         std::list<int> l(length);
-        assert(boost::detail::distance(l.begin(), l.end()) == length);
+        BOOST_TEST(boost::detail::distance(l.begin(), l.end()) == length);
         
         std::vector<int> v(length);
-        assert(boost::detail::distance(v.begin(), v.end()) == length);
+        BOOST_TEST(boost::detail::distance(v.begin(), v.end()) == length);
 
-        assert(boost::detail::distance(&ints[0], ints + length) == length);
-        assert(boost::detail::distance(my_iterator1(chars), my_iterator1(chars + length)) == length);
-        assert(boost::detail::distance(my_iterator2(chars), my_iterator2(chars + length)) == length);
-        assert(boost::detail::distance(my_iterator3(chars), my_iterator3(chars + length)) == length);
+        BOOST_TEST(boost::detail::distance(&ints[0], ints + length) == length);
+        BOOST_TEST(boost::detail::distance(my_iterator1(chars), my_iterator1(chars + length)) == length);
+        BOOST_TEST(boost::detail::distance(my_iterator2(chars), my_iterator2(chars + length)) == length);
+        BOOST_TEST(boost::detail::distance(my_iterator3(chars), my_iterator3(chars + length)) == length);
     }
-    return 0;
+    return boost::report_errors();
 }
Index: libs/mpl/test/Jamfile
===================================================================
RCS file: /cvsroot/boost/boost/libs/mpl/test/Jamfile,v
retrieving revision 1.17
diff -b -d -u -r1.17 Jamfile
--- libs/mpl/test/Jamfile	28 Nov 2004 03:35:12 -0000	1.17
+++ libs/mpl/test/Jamfile	18 Feb 2006 22:55:08 -0000
@@ -18,7 +18,7 @@
 compile back.cpp ;
 compile bind.cpp ;
 compile bitwise.cpp ;
-compile bool.cpp ;
+run bool.cpp ;
 compile comparison.cpp ;
 compile contains.cpp ;
 compile copy.cpp ;
@@ -36,7 +36,7 @@
 compile find.cpp ;
 compile find_if.cpp ;
 compile fold.cpp ;
-unit-test for_each : for_each.cpp : <sysinclude>$(BOOST_ROOT) ;
+run for_each.cpp ;
 compile front.cpp ;
 compile has_xxx.cpp ;
 compile identity.cpp ;
@@ -45,8 +45,8 @@
 compile inherit.cpp ;
 compile insert.cpp ;
 compile insert_range.cpp ;
-compile int.cpp ;
-compile integral_c.cpp ;
+run int.cpp ;
+run integral_c.cpp ;
 compile is_placeholder.cpp ;
 compile is_sequence.cpp ;
 compile iterator_tags.cpp ;
@@ -80,7 +80,7 @@
 compile set_c.cpp ;
 compile single_view.cpp ;
 compile size.cpp ;
-compile size_t.cpp ;
+run size_t.cpp ;
 compile sizeof.cpp ;
 compile sort.cpp ;
 compile stable_partition.cpp ;
Index: libs/mpl/test/Jamfile.v2
===================================================================
RCS file: /cvsroot/boost/boost/libs/mpl/test/Jamfile.v2,v
retrieving revision 1.1
diff -b -d -u -r1.1 Jamfile.v2
--- libs/mpl/test/Jamfile.v2	14 Apr 2005 11:47:45 -0000	1.1
+++ libs/mpl/test/Jamfile.v2	18 Feb 2006 22:55:08 -0000
@@ -14,7 +14,7 @@
 compile back.cpp ;
 compile bind.cpp ;
 compile bitwise.cpp ;
-compile bool.cpp ;
+run bool.cpp ;
 compile comparison.cpp ;
 compile contains.cpp ;
 compile copy.cpp ;
@@ -41,8 +41,8 @@
 compile inherit.cpp ;
 compile insert.cpp ;
 compile insert_range.cpp ;
-compile int.cpp ;
-compile integral_c.cpp ;
+run int.cpp ;
+run integral_c.cpp ;
 compile is_placeholder.cpp ;
 compile is_sequence.cpp ;
 compile iterator_tags.cpp ;
@@ -76,7 +76,7 @@
 compile set_c.cpp ;
 compile single_view.cpp ;
 compile size.cpp ;
-compile size_t.cpp ;
+run size_t.cpp ;
 compile sizeof.cpp ;
 compile sort.cpp ;
 compile stable_partition.cpp ;
Index: libs/mpl/test/bool.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/mpl/test/bool.cpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 bool.cpp
--- libs/mpl/test/bool.cpp	2 Sep 2004 15:41:35 -0000	1.3
+++ libs/mpl/test/bool.cpp	18 Feb 2006 22:55:08 -0000
@@ -21,7 +21,7 @@
     { MPL_ASSERT(( is_same< bool_<c>, c##_ > )); } \
     { MPL_ASSERT(( is_same< bool_<c>::type, bool_<c> > )); } \
     { MPL_ASSERT_RELATION( bool_<c>::value, ==, c ); } \
-    assert( bool_<c>() == c ); \
+    BOOST_TEST( bool_<c>() == c ); \
 /**/
 
 MPL_TEST_CASE()
Index: libs/mpl/test/integral_wrapper_test.hpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/mpl/test/integral_wrapper_test.hpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 integral_wrapper_test.hpp
--- libs/mpl/test/integral_wrapper_test.hpp	13 Oct 2004 14:27:35 -0000	1.3
+++ libs/mpl/test/integral_wrapper_test.hpp	18 Feb 2006 22:55:08 -0000
@@ -19,12 +19,12 @@
 
 #if !BOOST_WORKAROUND(__BORLANDC__, < 0x600)
 #   define INTEGRAL_WRAPPER_RUNTIME_TEST(i, T) \
-    assert(( WRAPPER(T,i)() == i )); \
-    assert(( WRAPPER(T,i)::value == i )); \
+    BOOST_TEST(( WRAPPER(T,i)() == i )); \
+    BOOST_TEST(( WRAPPER(T,i)::value == i )); \
     /**/
 #else
 #   define INTEGRAL_WRAPPER_RUNTIME_TEST(i, T) \
-    assert(( WRAPPER(T,i)::value == i )); \
+    BOOST_TEST(( WRAPPER(T,i)::value == i )); \
     /**/
 #endif
 
Index: libs/mpl/test/set.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/mpl/test/set.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 set.cpp
--- libs/mpl/test/set.cpp	18 Jun 2005 20:51:18 -0000	1.10
+++ libs/mpl/test/set.cpp	18 Feb 2006 22:55:08 -0000
@@ -68,9 +68,9 @@
     typedef begin<s2>::type first2;
     typedef end<s2>::type last2;
 
-    MPL_ASSERT(( is_same< first2::type, int > ));
+    MPL_ASSERT(( is_same< deref<first2>::type, int > ));
     typedef next<first2>::type iter;
-    MPL_ASSERT(( is_same< iter::type, char > ));
+    MPL_ASSERT(( is_same< deref<iter>::type, char > ));
     MPL_ASSERT(( is_same< next<iter>::type, last2 > ));
 
     typedef insert<s2,int>::type s2_1;
@@ -166,15 +166,15 @@
 
 // Use a template for testing so that GCC will show us the actual types involved
 template <class S>
-struct test
+void test()
 {
     MPL_ASSERT_RELATION( size<S>::value, ==, 3 );
 
     typedef typename end<S>::type not_found;
-    BOOST_MPL_ASSERT_NOT(( is_same<typename find<S,int>::type,not_found> ));
-    BOOST_MPL_ASSERT_NOT(( is_same<typename find<S,long>::type,not_found> ));
-    BOOST_MPL_ASSERT_NOT(( is_same<typename find<S,char>::type,not_found> ));
-    BOOST_MPL_ASSERT(( is_same<typename find<S,char*>::type,not_found> ));
+    BOOST_MPL_ASSERT_NOT(( is_same<BOOST_DEDUCED_TYPENAME find<S,int>::type,not_found> ));
+    BOOST_MPL_ASSERT_NOT(( is_same<BOOST_DEDUCED_TYPENAME find<S,long>::type,not_found> ));
+    BOOST_MPL_ASSERT_NOT(( is_same<BOOST_DEDUCED_TYPENAME find<S,char>::type,not_found> ));
+    BOOST_MPL_ASSERT(( is_same<BOOST_DEDUCED_TYPENAME find<S,char*>::type,not_found> ));
 };
 
 MPL_TEST_CASE()
@@ -185,6 +185,6 @@
     
     typedef mpl::set<int,long,char> myset;
     
-    test<myset> x;
-    test<myset::type> y;
+    test<myset>();
+    test<myset::type>();
 }
Index: libs/parameter/test/singular.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/parameter/test/singular.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 singular.cpp
--- libs/parameter/test/singular.cpp	6 Dec 2005 11:35:15 -0000	1.1
+++ libs/parameter/test/singular.cpp	18 Feb 2006 22:55:09 -0000
@@ -3,7 +3,7 @@
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 
 #include <boost/parameter/keyword.hpp>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 BOOST_PARAMETER_KEYWORD(tag, x)
 BOOST_PARAMETER_KEYWORD(tag, y)
@@ -21,7 +21,7 @@
 template <class ArgumentPack, class K, class T>
 void check(ArgumentPack const& p, K const& kw, T const& value)
 {
-    assert(p[kw] == value);
+    BOOST_TEST(p[kw] == value);
 }
 
 int main()
@@ -37,6 +37,6 @@
     
     check(y = 20, x | 0, 0);
     check(y = 20, x || default_src(), 0);
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/program_options/test/test_convert.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/program_options/test/test_convert.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 test_convert.cpp
--- libs/program_options/test/test_convert.cpp	14 May 2004 13:40:31 -0000	1.1
+++ libs/program_options/test/test_convert.cpp	18 Feb 2006 22:55:09 -0000
@@ -7,7 +7,6 @@
 #include <fstream>
 #include <sstream>
 #include <iostream>
-#include <cassert>
 #include <boost/progress.hpp>
 #include <boost/bind.hpp>
 #include <boost/ref.hpp>
@@ -94,7 +93,7 @@
                 facet);
     }
 
-    assert(output.size()*2 == expected_output.size());
+    BOOST_CHECK(output.size()*2 == expected_output.size());
 
     for(unsigned i = 0; i < output.size(); ++i) {
 
@@ -103,20 +102,20 @@
             low &= 0xFF;
             unsigned low2 = expected_output[2*i];
             low2 &= 0xFF;
-            assert(low == low2);
+            BOOST_CHECK(low == low2);
         }
         {        
             unsigned high = output[i];
             high >>= 8;
             high &= 0xFF;
             unsigned high2 = expected_output[2*i+1];            
-            assert(high == high2);
+            BOOST_CHECK(high == high2);
         }
     }
 
     string ref = boost::to_8_bit(output, facet);
 
-    assert(ref == input);
+    BOOST_CHECK(ref == input);
 }
 
 int test_main(int ac, char* av[])
Index: libs/ptr_container/test/pointainer_speed.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/ptr_container/test/pointainer_speed.cpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 pointainer_speed.cpp
--- libs/ptr_container/test/pointainer_speed.cpp	1 May 2005 22:22:51 -0000	1.3
+++ libs/ptr_container/test/pointainer_speed.cpp	18 Feb 2006 22:55:09 -0000
@@ -183,7 +183,7 @@
             cout << copy1[i] << endl;
     }   
 
-    assert( pvec.size() == size );
+    BOOST_REQUIRE( pvec.size() == size );
     cout << endl;
 }
 
Index: libs/python/test/back_reference.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/back_reference.cpp,v
retrieving revision 1.12
diff -b -d -u -r1.12 back_reference.cpp
--- libs/python/test/back_reference.cpp	22 Jan 2006 19:28:57 -0000	1.12
+++ libs/python/test/back_reference.cpp	18 Feb 2006 22:55:09 -0000
@@ -10,7 +10,8 @@
 #include <boost/ref.hpp>
 #include <boost/utility.hpp>
 #include <memory>
-#include <cassert>
+#define BOOST_ENABLE_ASSERT_HANDLER
+#include <boost/assert.hpp>
 #include <boost/python/copy_const_reference.hpp>
 #include <boost/python/return_value_policy.hpp>
 #include <boost/mpl/bool.hpp>
@@ -24,10 +25,10 @@
 {
     explicit X(int x) : x(x), magic(7654321) { ++counter; }
     X(X const& rhs) : x(rhs.x), magic(7654321) { ++counter; }
-    virtual ~X() { assert(magic == 7654321); magic = 6666666; x = 9999; --counter; }
+    virtual ~X() { BOOST_ASSERT(magic == 7654321); magic = 6666666; x = 9999; --counter; }
 
-    void set(int x) { assert(magic == 7654321); this->x = x; }
-    int value() const { assert(magic == 7654321); return x; }
+    void set(int x) { BOOST_ASSERT(magic == 7654321); this->x = x; }
+    int value() const { BOOST_ASSERT(magic == 7654321); return x; }
     static int count() { return counter; }
  private:
     void operator=(X const&);
Index: libs/python/test/callbacks.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/callbacks.cpp,v
retrieving revision 1.15
diff -b -d -u -r1.15 callbacks.cpp
--- libs/python/test/callbacks.cpp	20 Aug 2004 11:09:19 -0000	1.15
+++ libs/python/test/callbacks.cpp	18 Feb 2006 22:55:09 -0000
@@ -2,6 +2,8 @@
 // Distributed under the Boost Software License, Version 1.0. (See
 // accompanying file LICENSE_1_0.txt or copy at
 // http://www.boost.org/LICENSE_1_0.txt)
+#include <boost/assert.hpp>
+
 #include <boost/python/module.hpp>
 #include <boost/python/def.hpp>
 #include <boost/python/class.hpp>
@@ -29,10 +31,10 @@
 {
     explicit X(int x) : x(x), magic(7654321) { ++counter; }
     X(X const& rhs) : x(rhs.x), magic(7654321) { ++counter; }
-    ~X() { assert(magic == 7654321); magic = 6666666; x = 9999; --counter; }
+    ~X() { BOOST_ASSERT(magic == 7654321); magic = 6666666; x = 9999; --counter; }
 
-    void set(int x) { assert(magic == 7654321); this->x = x; }
-    int value() const { assert(magic == 7654321); return x; }
+    void set(int x) { BOOST_ASSERT(magic == 7654321); this->x = x; }
+    int value() const { BOOST_ASSERT(magic == 7654321); return x; }
     static int count() { return counter; }
  private:
     void operator=(X const&);
Index: libs/python/test/destroy_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/destroy_test.cpp,v
retrieving revision 1.4
diff -b -d -u -r1.4 destroy_test.cpp
--- libs/python/test/destroy_test.cpp	10 Aug 2004 14:59:57 -0000	1.4
+++ libs/python/test/destroy_test.cpp	18 Feb 2006 22:55:09 -0000
@@ -2,7 +2,8 @@
 // Software License, Version 1.0. (See accompanying
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 #include <boost/python/detail/destroy.hpp>
-#include <cassert>
+
+#include <boost/detail/lightweight_test.hpp>
 
 int count;
 int marks[] = {
@@ -26,8 +27,8 @@
 void assert_destructions(int n)
 {
     for (int i = 0; i < n; ++i)
-        assert(marks[i] == i);
-    assert(marks[n] == -1);
+        BOOST_TEST(marks[i] == i);
+    BOOST_TEST(marks[n] == -1);
 }
 
 int main()
@@ -50,5 +51,5 @@
     boost::python::detail::destroy_referent<y&>(f3);
     assert_destructions(7);
 
-    return 0;
+    return boost::report_errors();
 }
Index: libs/python/test/dict.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/dict.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 dict.cpp
--- libs/python/test/dict.cpp	8 Sep 2004 19:18:55 -0000	1.7
+++ libs/python/test/dict.cpp	18 Feb 2006 22:55:09 -0000
@@ -2,6 +2,8 @@
 // Software License, Version 1.0. (See accompanying
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 #include <boost/python/module.hpp>
+#include <boost/assert.hpp>
+
 #include <boost/python/def.hpp>
 #include <boost/python/class.hpp>
 #include <boost/python/dict.hpp>
@@ -69,7 +71,7 @@
     print(tmp.get(2,"default"));
     print(tmp.setdefault(3,"default"));
 
-    assert(!tmp.has_key(key));
+    BOOST_ASSERT(!tmp.has_key(key));
     //print(tmp[3]);
 }
     
